package com.zd.exam.mapper;

import java.util.List;
import java.util.Map;

import com.zd.exam.domain.ElPractiseQu;

/**
 * 练习题Mapper接口
 *
 * @author liubo
 * @date 2021-12-14
 */
public interface ElPractiseQuMapper {
    /**
     * 查询练习题
     *
     * @param id 练习题主键
     * @return 练习题
     */
    public ElPractiseQu selectElPractiseQuById(Long id);

    /**
     * 查询练习题列表
     *
     * @param elPractiseQu 练习题
     * @return 练习题集合
     */
    public List<ElPractiseQu> selectElPractiseQuList(ElPractiseQu elPractiseQu);

    /**
     * 新增练习题
     *
     * @param elPractiseQu 练习题
     * @return 结果
     */
    public int insertElPractiseQu(ElPractiseQu elPractiseQu);

    /**
     * 修改练习题
     *
     * @param elPractiseQu 练习题
     * @return 结果
     */
    public int updateElPractiseQu(ElPractiseQu elPractiseQu);

    /**
     * 删除练习题
     *
     * @param id 练习题主键
     * @return 结果
     */
    public int deleteElPractiseQuById(Long id);

    /**
     * 批量删除练习题
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElPractiseQuByIds(Long[] ids);

    int insertBatchPractiseQu(List<ElPractiseQu> batchQuList);

    ElPractiseQu selectOneElPractiseQu(ElPractiseQu practiseQu);

    Map<String, Object> selectCountByPractiseId(Long practiseId);
}
